Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 376407 - Stabilize =net-im/amsn-0.98.4-r1
Summary: Stabilize =net-im/amsn-0.98.4-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 384959
Blocks: 384701 384733
  Show dependency tree
 
Reported: 2011-07-25 19:07 UTC by Pacho Ramos
Modified: 2011-10-23 16:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2011-07-25 19:07:04 UTC
Works ok for me


Portage 2.1.10.3 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.5, glibc-2.12.2-r0, 2.6.38-tuxonice-r2 x86_64)
=================================================================
System uname: Linux-2.6.38-tuxonice-r2-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-gentoo-2.0.2
Timestamp of tree: Mon, 25 Jul 2011 18:30:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:          4.1_p9
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1
dev-util/ccache:          2.4-r9
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.20.1-r1
sys-devel/gcc:            4.4.5
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.2.10
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.36.1 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo sunrise x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages multilib-strict news parallel-fetch protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org"
LANG="es_ES.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="es es_ES en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/local/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avahi bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cleartype cli consolekit cracklib crypt cups cxx daap dbus dell djvu dri dts dvd dvdr dvi eds emboss encode evo exif fam fat ffmpeg firefox flac fortran fuse gdbm gdu gif git gnome gnome-keyring gpm gstreamer gtk gtkstyle hddtemp iconv ieee1394 ipod java jpeg kpathsea laptop latex lcdfilter lcms libnotify lm_sensors lyx lzma mad mmx mmxext mng modules mono mp3 mp4 mpeg mudflap multilib musicbrainz nautilus ncurses network network-cron networkmanager nls nptl nptlonly ntfs nvidia ogg opengl openmp pam pango pch pcre pdf perl pidgin png policykit ppds pppd python qt3support readline reiserfs sdl session sound spell sse sse2 sse3 sse4 ssl ssse3 startup-notification subversion svg sysfs t1lib tcpd threads tiff truetype udev unicode usb v4l2 vdpau vorbis webkit wifi x264 xattr xcb xml xmp xorg xpm xulrunner xv xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es es_ES en_US" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nv" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always
Comment 1 Samuli Suominen gentoo-dev 2011-10-02 11:51:28 UTC
This is required for both, libpng15 and linux-headers-2.6.38 compability, all other versions are pretty much useless
Comment 2 Samuli Suominen gentoo-dev 2011-10-02 11:53:28 UTC
arch teams or maintainers:

if you experience bug 384959, please try changing the epatch line for libpng15 patch to be:

has_version ">=media-libs/libpng-1.5" && epatch ...
Comment 3 Agostino Sarubbo gentoo-dev 2011-10-02 13:59:57 UTC
Same compile failure, adding as a depends on.
Comment 4 Samuli Suominen gentoo-dev 2011-10-02 19:08:30 UTC
(In reply to comment #3)
> Same compile failure, adding as a depends on.

and dropping the libpng15 patch makes it compile again?
Comment 5 Samuli Suominen gentoo-dev 2011-10-03 09:32:08 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Same compile failure, adding as a depends on.
> 
> and dropping the libpng15 patch makes it compile again?

should be fixed now, try it again
Comment 6 Agostino Sarubbo gentoo-dev 2011-10-03 11:33:28 UTC
amd64 ok
Comment 7 Andreas Schürch gentoo-dev 2011-10-04 08:50:39 UTC
x86 stable.
Comment 8 Ian Delaney (RETIRED) gentoo-dev 2011-10-07 19:00:34 UTC
amd64 ok
Comment 9 Samuli Suominen gentoo-dev 2011-10-07 19:21:55 UTC
amd64 stable
Comment 10 Jeroen Roovers gentoo-dev 2011-10-11 16:43:34 UTC
Stable for HPPA.
Comment 11 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-10-15 10:41:57 UTC
ppc stable
Comment 12 Raúl Porcel (RETIRED) gentoo-dev 2011-10-23 16:04:38 UTC
alpha keywords dropped